package com.jeeplus.modules.sg.managementcenter.activiti.entity;

import com.jeeplus.core.persistence.ActEntity;

public class Disclose  extends ActEntity<Disclose> {
    private static final long serialVersionUID = 1L;
    //需求项目名称
    private String requireName;
    //工程编号
    private String projectNumber;
    //项目名称
    private String projectName;
    //项目定义号
    private String projectId;
    //项目信息id
    private String conId;
    //施工通道
    private String channel;
    //设备基础是否可以扩容
    private String capacity;
    //现场设备尺寸
    private String sceneSize;
    //最多可扩容尺寸
    private String capacitySize;
    //方案安全隐患
    private String hiddenDanger;
    //是否存在低压或通信线等影响施工
    private String influenceConstruction;
    //立项重复
    private String projectRepetition;
    //是否已实施
    private String implemented;
    //变压器无负荷
    private String transformer;
    //必要性问题说明
    private String explanationOfNecessity;
    //线路名称一致性
    private String lineName;
    //工程量是否一致
    private String quantities;
    //设备、开关、杆号一致性
    private String rodNumber;
    //图纸现场不一致说明
    private String inconsistentDescription;
    //政处类型
    private String administrationType;
    //前置条件
    private String precondition;
    //政策处理说明
    private String policyHandlingInstructions;
    //DTU安放方式核查
    private String placementMode;
    //核查环网柜生产日期
    private String productionDate;
    //二次是否是集成模块
    private String IntegrateModule;
    //PT是否需要更换
    private String needReplace;
    //设备是否有整体改造的必要
    private String overallTransformation;
    //记录taskId
    private String taskId;

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getRequireName() {
        return requireName;
    }

    public void setRequireName(String requireName) {
        this.requireName = requireName;
    }

    public String getProjectNumber() {
        return projectNumber;
    }

    public void setProjectNumber(String projectNumber) {
        this.projectNumber = projectNumber;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getExplanationOfNecessity() {
        return explanationOfNecessity;
    }

    public void setExplanationOfNecessity(String explanationOfNecessity) {
        this.explanationOfNecessity = explanationOfNecessity;
    }

    public String getInconsistentDescription() {
        return inconsistentDescription;
    }

    public void setInconsistentDescription(String inconsistentDescription) {
        this.inconsistentDescription = inconsistentDescription;
    }

    public String getPolicyHandlingInstructions() {
        return policyHandlingInstructions;
    }

    public void setPolicyHandlingInstructions(String policyHandlingInstructions) {
        this.policyHandlingInstructions = policyHandlingInstructions;
    }

    public String getConId() {
        return conId;
    }

    public void setConId(String conId) {
        this.conId = conId;
    }

    public String getChannel() {
        return channel;
    }

    public void setChannel(String channel) {
        this.channel = channel;
    }

    public String getCapacity() {
        return capacity;
    }

    public void setCapacity(String capacity) {
        this.capacity = capacity;
    }

    public String getSceneSize() {
        return sceneSize;
    }

    public void setSceneSize(String sceneSize) {
        this.sceneSize = sceneSize;
    }

    public String getCapacitySize() {
        return capacitySize;
    }

    public void setCapacitySize(String capacitySize) {
        this.capacitySize = capacitySize;
    }

    public String getHiddenDanger() {
        return hiddenDanger;
    }

    public void setHiddenDanger(String hiddenDanger) {
        this.hiddenDanger = hiddenDanger;
    }

    public String getInfluenceConstruction() {
        return influenceConstruction;
    }

    public void setInfluenceConstruction(String influenceConstruction) {
        this.influenceConstruction = influenceConstruction;
    }

    public String getProjectRepetition() {
        return projectRepetition;
    }

    public void setProjectRepetition(String projectRepetition) {
        this.projectRepetition = projectRepetition;
    }

    public String getImplemented() {
        return implemented;
    }

    public void setImplemented(String implemented) {
        this.implemented = implemented;
    }

    public String getTransformer() {
        return transformer;
    }

    public void setTransformer(String transformer) {
        this.transformer = transformer;
    }

    public String getLineName() {
        return lineName;
    }

    public void setLineName(String lineName) {
        this.lineName = lineName;
    }

    public String getQuantities() {
        return quantities;
    }

    public void setQuantities(String quantities) {
        this.quantities = quantities;
    }

    public String getRodNumber() {
        return rodNumber;
    }

    public void setRodNumber(String rodNumber) {
        this.rodNumber = rodNumber;
    }

    public String getAdministrationType() {
        return administrationType;
    }

    public void setAdministrationType(String administrationType) {
        this.administrationType = administrationType;
    }


    public String getPrecondition() {
        return precondition;
    }

    public void setPrecondition(String precondition) {
        this.precondition = precondition;
    }

    public String getPlacementMode() {
        return placementMode;
    }

    public void setPlacementMode(String placementMode) {
        this.placementMode = placementMode;
    }

    public String getProductionDate() {
        return productionDate;
    }

    public void setProductionDate(String productionDate) {
        this.productionDate = productionDate;
    }

    public String getIntegrateModule() {
        return IntegrateModule;
    }

    public void setIntegrateModule(String integrateModule) {
        IntegrateModule = integrateModule;
    }

    public String getNeedReplace() {
        return needReplace;
    }

    public void setNeedReplace(String needReplace) {
        this.needReplace = needReplace;
    }

    public String getOverallTransformation() {
        return overallTransformation;
    }

    public void setOverallTransformation(String overallTransformation) {
        this.overallTransformation = overallTransformation;
    }

    @Override
    public String toString() {
        return "Disclose{" +
                "conId='" + conId + '\'' +
                ", channel='" + channel + '\'' +
                ", capacity='" + capacity + '\'' +
                ", sceneSize='" + sceneSize + '\'' +
                ", capacitySize='" + capacitySize + '\'' +
                ", hiddenDanger='" + hiddenDanger + '\'' +
                ", influenceConstruction='" + influenceConstruction + '\'' +
                ", projectRepetition='" + projectRepetition + '\'' +
                ", implemented='" + implemented + '\'' +
                ", transformer='" + transformer + '\'' +
                ", lineName='" + lineName + '\'' +
                ", quantities='" + quantities + '\'' +
                ", rodNumber='" + rodNumber + '\'' +
                ", administrationType='" + administrationType + '\'' +
                ", precondition='" + precondition + '\'' +
                ", placementMode='" + placementMode + '\'' +
                ", productionDate='" + productionDate + '\'' +
                ", IntegrateModule='" + IntegrateModule + '\'' +
                ", needReplace='" + needReplace + '\'' +
                ", overallTransformation='" + overallTransformation + '\'' +
                ", explanationOfNecessity='" + explanationOfNecessity + '\'' +
                ", inconsistentDescription='" + inconsistentDescription + '\'' +
                ", policyHandlingInstructions='" + policyHandlingInstructions + '\'' +
                '}';
    }
}
